<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

function thumbplus_doInstall ($un=false)
{
	global $CONFIG;
	$tbl = $CONFIG['TABLE_PREFIX'].'plugin_thumbplus';
	if ($un) {
		cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'thumbplus_cfg'");
    	cpg_db_query("DROP TABLE IF EXISTS {$tbl}");
	} else {
		$scopes = array('global'=>0,'favpics'=>0,'lastalb'=>0,'lastcom'=>0,'lastcomby'=>0,'lasthits'=>0,
			'lastup'=>0,'lastupby'=>0,'random'=>0,'regular'=>0,'search'=>0,'topn'=>0,'toprated'=>0);
		cpg_config_set('thumbplus_cfg', json_encode($scopes), true);

		$q = 'CREATE TABLE IF NOT EXISTS '.$tbl.'(scope VARCHAR(15), cfg text) COMMENT=\'For custom thumbnail captioning\';';
		cpg_db_query($q);
	}
	return true;
}
