<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

function thumbplus_display (&$rowset, $scope)
{
	global $CONFIG;
	static $thmp = [];
	
	if (!isset($thmp[$scope])) {
		require_once 'thumbplus.php';
		$thmp[$scope] = new ThumbPlus($scope);
	}
	if (GALLERY_ADMIN_MODE && $CONFIG['debug_mode']==2) echo "==== $scope <br>";
	$thmp[$scope]->process($rowset);
	return $rowset;
}

function thumbplus_display_global ($rowset)
{ return thumbplus_display($rowset, 'global'); }

function thumbplus_display_favpics ($rowset)
{ return thumbplus_display($rowset, 'favpics'); }

function thumbplus_display_lastalb ($rowset)
{ return thumbplus_display($rowset, 'lastalb'); }

function thumbplus_display_lastcom ($rowset)
{ return thumbplus_display($rowset, 'lastcom'); }

function thumbplus_display_lastcomby ($rowset)
{ return thumbplus_display($rowset, 'lastcomby'); }

function thumbplus_display_lasthits ($rowset)
{ return thumbplus_display($rowset, 'lasthits'); }

function thumbplus_display_lastup ($rowset)
{ return thumbplus_display($rowset, 'lastup'); }

function thumbplus_display_lastupby ($rowset)
{ return thumbplus_display($rowset, 'lastupby'); }

function thumbplus_display_random ($rowset)
{ return thumbplus_display($rowset, 'random'); }

function thumbplus_display_regular ($rowset)
{ return thumbplus_display($rowset, 'regular'); }

function thumbplus_display_search ($rowset)
{ return thumbplus_display($rowset, 'search'); }

function thumbplus_display_topn ($rowset)
{ return thumbplus_display($rowset, 'topn'); }

function thumbplus_display_toprated ($rowset)
{ return thumbplus_display($rowset, 'toprated'); }


// add filters for enabled scopes
if (isset($CONFIG['thumbplus_cfg'])) {
	$thmp_scopes = json_decode($CONFIG['thumbplus_cfg'], true);
	foreach ($thmp_scopes as $K => $Y) {
		if ($Y) {
			$thmfsfx = $K=='global' ? '' : ('_'.$K);
			$thisplugin->add_filter('thumb_caption'.$thmfsfx, 'thumbplus_display_'.$K);
		}
	}
}

/*** INSTALL/UNINSTALL ***/

$thisplugin->add_action('plugin_install', 'thumbplus_install');
function thumbplus_install ()
{
	require 'plugins/thumbplus/install.php';
	return thumbplus_doInstall();
}

$thisplugin->add_action('plugin_uninstall', 'thumbplus_uninstall');
function thumbplus_uninstall ()
{
	require 'plugins/thumbplus/install.php';
	return thumbplus_doInstall(true);
}
